Device Binding
Delete the binding between a device and a token.
The token identifier.
The unique device identifier. Visa deviceId must have 24 characters at maximum.
Technical identifier pre-defined at on-boarding that identifies the API
consumer.
Format shall be the string 'APIKEY' followed by a space and the
api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.
Unique identifier of the Mastercard TAF certified MFA method. Must be provided for Mastercard TAF when the binding was created using the Merchant API.
The identifier used during Mastercard TAF binding, must be provided for Mastercard TAF when the binding was created using the Merchant API.
No Content
コンテンツなし
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Not Retryable
Service Unavailable - Retryable
DELETE /tsh-cof/device-bindings/{tokenId}/{deviceId} HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Accept: */*
コンテンツなし
Binds a token with a FIDO authenticator as per Mastercard TAF.
Technical identifier pre-defined at on-boarding that identifies the API
consumer.
Format shall be the string 'APIKEY' followed by a space and the
api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.
The token identifier.
^[a-zA-Z0-9_-]+$The request content depends on the binding type.
MASTERCARD_TAF_FIDO_IAAV可能な値: No Content
コンテンツなし
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Not Retryable
Service Unavailable - Retryable
POST /tsh-cof/device-bindings HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 863
{
"tokenId": "COFTG-M-ce464906-cf39-4990-b4a8-c160e67c603a",
"bindingType": "MASTERCARD_TAF_FIDO_IAAV",
"MASTERCARD_TAF_FIDO_IAAV": {
"mcCertifiedSolutionId": "43SA5",
"credentialId": "bf8c5b2b-28ce-48d8-acbc-cc82f51478c6",
"deviceId": "1234567890",
"fidoRelyingParty": "relyingparty.com",
"fidoUserId": "ca7ac6fe-1eec-11ed-861d-0242ac120002",
"isSpcEnabled": false,
"fidoRegistrationResponse": {
"type": "public-key",
"id": "h0mC9xtLjggpcvxq4YXepkemUt2oNL5F_-NPpCCcHNE",
"rawId": "h0mC9xtLjggpcvxq4YXepkemUt2oNL5F_-NPpCCcHNE",
"authenticatorAttachment": "platform",
"response": {
"clientDataJSON": "Base64 encoded string",
"authenticatorData": "Base64 encoded string",
"signature": "Base64 encoded string",
"userHandle": "ca7ac6fe-1eec-11ed-861d-0242ac120002"
}
},
"mcIaav": "Base64 Encoded IAAV",
"verificationTimestamp": "'2025-07-01T10:25:11.142Z",
"mcBindingAssertion": "Mastercard bindingAssertionJWT"
}
}コンテンツなし
最終更新
役に立ちましたか?